package com.sgbarlow.sourcecontrol;

import java.util.Vector;
/**
 *
 */
public interface SourceControlInterface {

	 public void checkoutFile(String file, String comment) throws Exception;

	 public void checkinFile(String file, String comment) throws Exception;

	 public void undoCheckoutFile(String file) throws Exception;

	 public void addFile(String file, String filePath, String comment) throws Exception;
	 
	 public String diffFile(String file) throws Exception;

	 // needed for JDiff based diffing
	 public void getFile(String file, String path, String version) throws Exception;

	 public Vector historyFile(String file) throws Exception;

	 public void init() throws Exception;
}
